Page MenuHomePhabricator

E segfault when opening virtualbox console
Closed, ResolvedPublic

Description

I'm not sure what changed, but today I can't start virtualbox console (the QT app) anymore without having E crash with the F1/F12 pop-up.

I didn't updated QT since one week and used virtualbox since, and for virtualbox/efl/enlightenment it's even longer since I updated, so I'm not sure about what started the crash.

System information:

  • archlinux, nulogic repos for E/efl.
  • Linux luhman16 4.12.8-2-ARCH #1 SMP PREEMPT Fri Aug 18 14:08:02 UTC 2017 x86_64 GNU/Linux

% pacman -Q | grep enli
enlightenment 0.21.9-2

% pacman -Q | grep efl
efl 1.20.2-1

.e-crashdump.txt (but I'm not sure that one is of any use...)

Thread 6 (Thread 0x7f55eeed2700 (LWP 9838)):
#0  0x00007f560b839b06 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007f560b839bf8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007f560ba88c6a in eina_thread_queue_wait () at /usr/lib/libeina.so.1
#3  0x00007f560ea0e895 in  () at /usr/lib/libevas.so.1
#4  0x00007f560ba87e4f in  () at /usr/lib/libeina.so.1
#5  0x00007f560b831049 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f560b051f0f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f55ef6d3700 (LWP 9837)):
#0  0x00007f560b839b06 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007f560b839bf8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007f560ba88c6a in eina_thread_queue_wait () at /usr/lib/libeina.so.1
#3  0x00007f560cdfc2e9 in  () at /usr/lib/libecore_x.so.1
#4  0x00007f560bcf9d92 in  () at /usr/lib/libecore.so.1
#5  0x00007f560ba87e4f in  () at /usr/lib/libeina.so.1
#6  0x00007f560b831049 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f560b051f0f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f55f71e4700 (LWP 9833)):
#0  0x00007f560b052473 in epoll_wait () at /usr/lib/libc.so.6
#1  0x00007f560bcda47c in  () at /usr/lib/libecore.so.1
#2  0x00007f560bcf9d92 in  () at /usr/lib/libecore.so.1
#3  0x00007f560ba87e4f in  () at /usr/lib/libeina.so.1
#4  0x00007f560b831049 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f560b051f0f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f55f7fff700 (LWP 9807)):
#0  0x00007f560b8371ad in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f560ea18ab6 in  () at /usr/lib/libevas.so.1
#2  0x00007f560ba87e4f in  () at /usr/lib/libeina.so.1
#3  0x00007f560b831049 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f560b051f0f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f5600f3c700 (LWP 9805)):
#0  0x00007f560b83a54c in __lll_lock_wait () at /usr/lib/libpthread.so.0
#1  0x00007f560b833905 in pthread_mutex_lock () at /usr/lib/libpthread.so.0
#2  0x00007f560ba60b35 in  () at /usr/lib/libeina.so.1
#3  0x00007f560b831049 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f560b051f0f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f560fa89680 (LWP 13239)):
#0  0x00007f560b83a54c in __lll_lock_wait () at /usr/lib/libpthread.so.0
#1  0x00007f560b833905 in pthread_mutex_lock () at /usr/lib/libpthread.so.0
#2  0x00007f5606cfc073 in  () at /usr/lib/libX11.so.6
#3  0x00007f5606aca3d8 in XCompositeUnredirectSubwindows () at /usr/lib/libXcomposite.so.1
#4  0x00007f560cde2ece in ecore_x_composite_unredirect_subwindows () at /usr/lib/libecore_x.so.1
#5  0x0000556dda2a9f6a in  ()
#6  0x00007f560b83b7e0 in <signal handler called> () at /usr/lib/libpthread.so.0
#7  0x00007f560af978c0 in raise () at /usr/lib/libc.so.6
#8  0x00007f560af98f72 in abort () at /usr/lib/libc.so.6
#9  0x00007f560afd6be2 in __libc_message () at /usr/lib/libc.so.6
#10 0x00007f560afdd2ec in malloc_printerr () at /usr/lib/libc.so.6
#11 0x00007f560afe04a0 in _int_malloc () at /usr/lib/libc.so.6
#12 0x00007f560afe16a8 in malloc () at /usr/lib/libc.so.6
#13 0x00007f56027a6e53 in  () at /usr/lib/libxcb.so.1
#14 0x00007f56027a4bdc in  () at /usr/lib/libxcb.so.1
#15 0x00007f56027a4fad in  () at /usr/lib/libxcb.so.1
#16 0x00007f56027a502d in xcb_writev () at /usr/lib/libxcb.so.1
#17 0x00007f5606d0df3e in _XSend () at /usr/lib/libX11.so.6
#18 0x00007f5606d0e432 in _XReply () at /usr/lib/libX11.so.6
#19 0x00007f5606d09fdd in XSync () at /usr/lib/libX11.so.6
#20 0x0000556dda2a9f44 in  ()
#21 0x00007f560b83b7e0 in <signal handler called> () at /usr/lib/libpthread.so.0
#22 0x0000556dda206559 in e_comp_object_shape_apply ()
#23 0x0000556dda207dc1 in  ()
#24 0x00007f560e909240 in  () at /usr/lib/libevas.so.1
#25 0x00007f560e9093df in  () at /usr/lib/libevas.so.1
#26 0x00007f560e90b932 in  () at /usr/lib/libevas.so.1
#27 0x00007f560e972ecc in  () at /usr/lib/libevas.so.1
#28 0x00007f560e974bc1 in  () at /usr/lib/libevas.so.1
#29 0x00007f560e9762de in  () at /usr/lib/libevas.so.1
#30 0x00007f560e977cc1 in  () at /usr/lib/libevas.so.1
#31 0x00007f560e978542 in  () at /usr/lib/libevas.so.1
#32 0x00007f560e8f9e41 in evas_canvas_render_updates () at /usr/lib/libevas.so.1
#33 0x00007f55f67da7b6 in  () at /usr/lib/ecore_evas/engines/x/v-1.20/module.so
#34 0x00007f560e6834a0 in  () at /usr/lib/libecore_evas.so.1
#35 0x00007f560bce074f in  () at /usr/lib/libecore.so.1
#36 0x00007f5607f0f4bf in  () at /usr/lib/libeo.so.1
#37 0x00007f5607f0a6f1 in efl_event_callback_call () at /usr/lib/libeo.so.1
#38 0x00007f560bce3c2a in  () at /usr/lib/libecore.so.1
#39 0x00007f560bce42c7 in ecore_main_loop_begin () at /usr/lib/libecore.so.1
#40 0x0000556dda1d252c in  ()
#41 0x00007f560af844ca in __libc_start_main () at /usr/lib/libc.so.6
#42 0x0000556dda1d350a in _start ()

Can I do anything to help resolve that?

fanf42 created this task.Aug 29 2017, 6:02 AM

I compiled enlightement from git (commit dece94b6ca558af603d0aab8644ad94f0f7c85bd from today) with CFLAGS="-O -g -ffast-math -march=native -ggdb3"

I'm still getting the crash. Here is an updated .e-crashdump.txt:

Thread 7 (Thread 0x7f4d39eb9700 (LWP 2069)):
#0  0x00007f4d58e1dfd3 in select () at /usr/lib/libc.so.6
#1  0x00005626068e656a in e_powersave_sleeper_sleep (sleeper=0x562608529670, poll_interval=<optimized out>) at src/bin/e_powersave.c:186
        tim = 4442544
        rfds = {fds_bits = {134217728, 0 <repeats 15 times>}}
        wfds = {fds_bits = {0 <repeats 16 times>}}
        exfds = {fds_bits = {0 <repeats 16 times>}}
        tv = {tv_sec = 0, tv_usec = 4864}
        ret = <optimized out>
        buf = "\001"
        __func__ = "e_powersave_sleeper_sleep"
#2  0x00007f4d381e97bc in _temperature_check_main (data=0x562608566280, th=0x562607f62ca0) at src/modules/temperature/e_mod_main.c:333
        tth = 0x562608566280
        ptemp = 60
        temp = 60
#3  0x00007f4d59acdd92 in  () at /usr/lib/libecore.so.1
#4  0x00007f4d5985be4f in  () at /usr/lib/libeina.so.1
#5  0x00007f4d59605049 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f4d58e25f0f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f4d3cb1d700 (LWP 2001)):
#0  0x00007f4d5960db06 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007f4d5960dbf8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007f4d5985cc6a in eina_thread_queue_wait () at /usr/lib/libeina.so.1
#3  0x00007f4d5c7e2895 in  () at /usr/lib/libevas.so.1
#4  0x00007f4d5985be4f in  () at /usr/lib/libeina.so.1
#5  0x00007f4d59605049 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f4d58e25f0f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f4d3d31e700 (LWP 2000)):
#0  0x00007f4d5960db06 in do_futex_wait.constprop () at /usr/lib/libpthread.so.0
#1  0x00007f4d5960dbf8 in __new_sem_wait_slow.constprop.0 () at /usr/lib/libpthread.so.0
#2  0x00007f4d5985cc6a in eina_thread_queue_wait () at /usr/lib/libeina.so.1
#3  0x00007f4d5abd02e9 in  () at /usr/lib/libecore_x.so.1
#4  0x00007f4d59acdd92 in  () at /usr/lib/libecore.so.1
#5  0x00007f4d5985be4f in  () at /usr/lib/libeina.so.1
#6  0x00007f4d59605049 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f4d58e25f0f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f4d4902b700 (LWP 1957)):
#0  0x00007f4d58e26473 in epoll_wait () at /usr/lib/libc.so.6
#1  0x00007f4d59aae47c in  () at /usr/lib/libecore.so.1
#2  0x00007f4d59acdd92 in  () at /usr/lib/libecore.so.1
#3  0x00007f4d5985be4f in  () at /usr/lib/libeina.so.1
#4  0x00007f4d59605049 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f4d58e25f0f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f4d49e46700 (LWP 1953)):
#0  0x00007f4d5960b1ad in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f4d5c7ecab6 in  () at /usr/lib/libevas.so.1
#2  0x00007f4d5985be4f in  () at /usr/lib/libeina.so.1
#3  0x00007f4d59605049 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f4d58e25f0f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f4d4ed10700 (LWP 1946)):
#0  0x00007f4d5960e54c in __lll_lock_wait () at /usr/lib/libpthread.so.0
#1  0x00007f4d59607905 in pthread_mutex_lock () at /usr/lib/libpthread.so.0
#2  0x00007f4d59834b35 in  () at /usr/lib/libeina.so.1
#3  0x00007f4d59605049 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f4d58e25f0f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f4d5d85d680 (LWP 1943)):
#0  0x00007f4d5960ee4d in pause () at /usr/lib/libpthread.so.0
#1  0x0000562606932a92 in e_alert_show () at src/bin/e_alert.c:43
#2  0x00005626068f4f55 in _e_crash () at src/bin/e_signals.c:81
#3  0x00005626068f4fdf in e_sigabrt_act (x=<optimized out>, info=<optimized out>, data=<optimized out>) at src/bin/e_signals.c:127
#4  0x00007f4d5960f7e0 in <signal handler called> () at /usr/lib/libpthread.so.0
#5  0x00007f4d58d6b8c0 in raise () at /usr/lib/libc.so.6
#6  0x00007f4d58d6cf72 in abort () at /usr/lib/libc.so.6
#7  0x00007f4d5984363e in  () at /usr/lib/libeina.so.1
#8  0x00007f4d59844a43 in eina_log_print () at /usr/lib/libeina.so.1
#9  0x00007f4d598461ac in eina_magic_fail () at /usr/lib/libeina.so.1
#10 0x00007f4d5983aba7 in eina_hash_find () at /usr/lib/libeina.so.1
#11 0x00007f4d5c6d4068 in evas_object_image_data_set () at /usr/lib/libevas.so.1
#12 0x0000562606854e11 in e_comp_object_render (obj=0x800000063edac7ad) at src/bin/e_comp_object.c:4204
        it = 0x5626083719f0
        r = 0x562608371a38
        l = <optimized out>
        o = <optimized out>
        stride = <optimized out>
        pw = 1920
        ph = 1048
        pix = <optimized out>
        srcpix = <optimized out>
        ret = 1 '\001'
        cw = 0x5626079b6790
        __FUNCTION__ = "e_comp_object_render"
#13 0x0000562606855647 in _e_comp_object_pixels_get (data=0x5626079b6790, obj=<optimized out>) at src/bin/e_comp_object.c:1005
        cw = 0x5626079b6790
        ec = 0x5626085885f0
        pw = 1920
        ph = 1048
        bx = 0
        by = 0
        bxx = 0
        byy = 0
#14 0x00007f4d5c6dd240 in  () at /usr/lib/libevas.so.1
#15 0x00007f4d5c6dd3df in  () at /usr/lib/libevas.so.1
#16 0x00007f4d5c6df932 in  () at /usr/lib/libevas.so.1
#17 0x00007f4d5c746ecc in  () at /usr/lib/libevas.so.1
#18 0x00007f4d5c748bc1 in  () at /usr/lib/libevas.so.1
#19 0x00007f4d5c74a2de in  () at /usr/lib/libevas.so.1
#20 0x00007f4d5c74bcc1 in  () at /usr/lib/libevas.so.1
#21 0x00007f4d5c74c542 in  () at /usr/lib/libevas.so.1
#22 0x00007f4d5c6cde41 in evas_canvas_render_updates () at /usr/lib/libevas.so.1
#23 0x00007f4d486217b6 in  () at /usr/lib/ecore_evas/engines/x/v-1.20/module.so
#24 0x00007f4d5c4574a0 in  () at /usr/lib/libecore_evas.so.1
#25 0x00007f4d59ab474f in  () at /usr/lib/libecore.so.1
#26 0x00007f4d55ce34bf in  () at /usr/lib/libeo.so.1
#27 0x00007f4d55cde6f1 in efl_event_callback_call () at /usr/lib/libeo.so.1
#28 0x00007f4d59ab7c2a in  () at /usr/lib/libecore.so.1
#29 0x00007f4d59ab82c7 in ecore_main_loop_begin () at /usr/lib/libecore.so.1
#30 0x000056260681f84e in main (argc=<optimized out>, argv=<optimized out>) at src/bin/e_main.c:1088
        safe_mode = <optimized out>
        waslocked = <optimized out>
        strshare = <optimized out>
        t = <optimized out>
        tstart = <optimized out>
        s = <optimized out>
        buff = "1504014296.7", '\000' <repeats 19 times>
        action = {__sigaction_handler = {sa_handler = 0x5626068f4fd6 <e_sigabrt_act>, sa_sigaction = 0x5626068f4fd6 <e_sigabrt_act>}, sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = -1073741820, sa_restorer = 0x0}
        __FUNCTION__ = "main"
zmike triaged this task as Pending on user input priority.Aug 29 2017, 6:51 AM

Needs to be compiled with debug symbols.

@zmike: would you please tell me what I should use for CFLAGS, because I don't know C at all. I'm willing to help, thought.

I used "-O -g -ffast-math -march=native -ggdb3" for the second case. Does I also need to compile efl?

zmike added a comment.Aug 29 2017, 8:52 AM

Yes, all efl-related packages need debug flags.

I had to recompile mesa to get the full debug logs (it was long and not pleasant :)

Is there a way to join a file, it is rather big (~500 lines?)

It's here for the time being, let me know if you want it elsewhere: https://gist.github.com/fanf/6325ff4ef709bd18834ce5b700e5e2c8

are you up to date on efl too? i swear @jpeg fixed an issue directly to do with this "alpha set" thing... 69a3d686939ddb4ff0d0e7af191dc8210855e0bc on august 10...

ok. checked out 1.20 stable branch. the commit was cherry-picked in but no efl 1.20.x release has gone out yet with the fix in it. (there would need to be a 1.20.3).

I used efl-git, my current version is:

% pacman -Q efl-git
efl-git 1.20.99.55088.g11efbdd7b4-1

(the version from my PKGBUILD is created like that: printf "%s.%s.g%s" "$efl_version" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)")

Hope it helps

Sorry, I forget to add that I also compiled enlightenment from git:

% pacman -Q enlightenment-git
enlightenment-git 0.21.99.22969.gb5e75eb26-1

errrr... ok... hmm. never mind the crash is back it WAS fixed... something between august 10 and now caused this to come back.

ok. taking efl back to 69a3d686939ddb4ff0d0e7af191dc8210855e0bc doesnt fix it... so ok... a change in e did this... time to dig...

zmike added a comment.Aug 30 2017, 1:37 PM

No, this is a longstanding corner case which is probably fixed by this patch.

raster reopened this task as Open.Sep 1 2017, 6:51 PM

Sorry man. Still there. probably got worse actually... evas has a pointer to pixel data that is either just plain junk OR ... was freed before OR is flagged to be freed when it should not be. I doubt it's the last.

Thread 1 (Thread 0x7f3d76de8d00 (LWP 31709)):
#0  0x00007f3d76081e4d in pause () at /usr/lib/libpthread.so.0
#1  0x00007f3d760827e0 in <signal handler called> () at /usr/lib/libpthread.so.0
#2  0x00007f3d722108c0 in raise () at /usr/lib/libc.so.6
#3  0x00007f3d72211f72 in abort () at /usr/lib/libc.so.6
#4  0x00007f3d7224fbe2 in __libc_message () at /usr/lib/libc.so.6
#5  0x00007f3d722562ec in malloc_printerr () at /usr/lib/libc.so.6
#6  0x00007f3d722576d1 in _int_free () at /usr/lib/libc.so.6
#7  0x0000564444a46270 in e_comp_object_shape_apply (obj=<optimized out>) at ../src/bin/e_comp_object.c:3913
        spix = 0x564446925020 ""
        sp = <optimized out>
        l = <optimized out>
        o = <optimized out>
        i = <optimized out>
        pix = <optimized out>
        p = <optimized out>
        w = 2560
        h = 1400
        px = <optimized out>
        py = <optimized out>
        cw = <optimized out>
        __FUNCTION__ = "e_comp_object_shape_apply"
#8  0x0000564444a47c85 in _e_comp_object_pixels_get (data=0x5644462e9280, obj=<optimized out>) at ../src/bin/e_comp_object.c:1018
        cw = 0x5644462e9280
        ec = 0x564445e0c9c0
        pw = 2560
        ph = 1400
        bx = 0
        by = 0
        bxx = 0
        byy = 0
#9  0x00007f3d74a994bb in evas_process_dirty_pixels (pixels=<optimized out>, surface=<optimized out>, output=<optimized out>, engine=<optimized out>, o=<optimized out>, obj=0x564445db0e90, eo_obj=<optimized out>) at lib/evas/canvas/evas_object_image.c:1651
        x = <optimized out>
        y = 52
        w = 2369
        h = 1295
        direct_override = 0 '\000'
        direct_force_off = 0 '\000'
        o = <optimized out>
        oi = <optimized out>
        source = <optimized out>
        pixels = <optimized out>
        __FUNCTION__ = "_evas_image_pixels_get"
#10 0x00007f3d74a994bb in _evas_image_pixels_get (eo_obj=eo_obj@entry=0x8000004bb18ad8eb, obj=obj@entry=0x564445db0e90, engine=engine@entry=0x564445174790, output=output@entry=0x564445178ca0, context=context@entry=0x564445c74740, surface=surface@entry=0x5644454f4920, x=<optimized out>, y=<optimized out>, imagew=<optimized out>, imageh=<optimized out>, uvw=<optimized out>, uvh=<optimized out>, filtered=<optimized out>, needs_post_render=0 '\000') at lib/evas/canvas/evas_object_image.c:2058
        o = <optimized out>
        oi = <optimized out>
        source = <optimized out>
        pixels = <optimized out>
        __FUNCTION__ = "_evas_image_pixels_get"
#11 0x00007f3d74a99649 in _evas_image_render (eo_obj=0x8000004bb18ad8eb, obj=obj@entry=0x564445db0e90, engine=engine@entry=0x564445174790, output=0x564445178ca0, context=context@entry=0x564445c74740, surface=surface@entry=0x5644454f4920, x=0, y=0, l=0, t=0, r=0, b=0, skip_map=0 '\000', do_async=0 '\000') at lib/evas/canvas/evas_object_image.c:2129
        o = 0x564445db0fb0
        imagew = 90
        imageh = 90
        uvw = 90
        uvh = 90
        cw = 2411
        ch = 1337
        ix = <optimized out>
        iy = <optimized out>
        iw = <optimized out>
        ih = <optimized out>
        offx = <optimized out>
        offy = <optimized out>
        idw = <optimized out>
        idh = <optimized out>
        idx = <optimized out>
        idy = <optimized out>
        pixels = <optimized out>
raster closed this task as Resolved.Sep 1 2017, 6:52 PM
raster added a project: efl.

a change in e TRIGGERS this bug... but i think the bug is in efl.

raster reopened this task as Open.Sep 1 2017, 7:11 PM
zmike added a comment.Sep 2 2017, 7:45 AM

Is your latest backtrace from after the abovementioned patch was merged? If so, it crashed when freeing a locally-allocated pointer?

raster added a comment.Sep 2 2017, 4:21 PM

yes. it was after your update to "fix it". heap seems corrupt/bad ... but still same thing with a shaped window (totally bizarre that it is shaped ... but whatever)... i'm guessing its still a related issue.

I noticed something related to that bug. Sometime, not sure how/when, but if I try to open virtual box console several time, it works on the second or third try. By "works", I mean that the first time I get the "E segfault, F1/F12" pop-up and the console is closed, and on the second try it get the E segfault pop-up and after F1 (reload) the console stay open and I can use it.

This is the content of .xsession-error on such an occurence (which seems of no use, but for the record I paste it):

First try (virtual box is close on reload):

Qt WARNING: QApplication: invalid style override passed, ignoring it.
Qt WARNING: libpng warning: iCCP: known incorrect sRGB profile
called gdb with 'gdb --pid=1831 -batch -ex 'set logging file /home/fanf/.e-crashdump.txt' -ex 'set logging on' -ex 'thread apply all backtrace full' -ex detach > /dev/null 2>&1 < /dev/zero' = 0
exit_gdb: 0
ERR<3670>:eldbus lib/eldbus/eldbus_message.c:801 _eldbus_message_iter_arguments_vget() Type in iterator different of signature expected:s got b
ERR<3670>:eldbus lib/eldbus/eldbus_message.c:801 _eldbus_message_iter_arguments_vget() Type in iterator different of signature expected:s got b

Second try (virtual box stays open after reload):

Qt WARNING: QApplication: invalid style override passed, ignoring it.
Qt WARNING: libpng warning: iCCP: known incorrect sRGB profile
*** Error in `/usr/bin/enlightenment': free(): invalid pointer: 0x000056167e939cb0 ***
called gdb with 'gdb --pid=3670 -batch -ex 'set logging file /home/fanf/.e-crashdump.txt' -ex 'set logging on' -ex 'thread apply all backtrace full' -ex detach > /dev/null 2>&1 < /dev/zero' = 0
exit_gdb: 0
ERR<6045>:eldbus lib/eldbus/eldbus_message.c:801 _eldbus_message_iter_arguments_vget() Type in iterator different of signature expected:s got b
ERR<6045>:eldbus lib/eldbus/eldbus_message.c:801 _eldbus_message_iter_arguments_vget() Type in iterator different of signature expected:s got b

Not sure it helps, but still (this bug is very bad for me, I need to work with virtual box all the time, and the VBoxManager command line isn't really geared toward humans...)

I can confirm it doesn't happen anymore in 0.22.1

jpeg added a comment.Nov 27 2017, 2:06 AM

Yayyy! :)